/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package materiales;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author armaf
 */
public class Material {
    private List<String> pruebas = new ArrayList<>();
    private int codigo;
    private String nombre;
    private double resistencia;

    public Material() {
    }

    public Material(int codigo, String nombre, double resistencia) {
        this.codigo = codigo;
        this.nombre = nombre;
        this.resistencia = resistencia;
    }

  

    public int getCodigo() {
        return codigo;
    }

    public void setCodigo(int codigo) {
        this.codigo = codigo;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public double getResistencia() {
        return resistencia;
    }

    public void setResistencia(double resistencia) {
        this.resistencia = resistencia;
    }
            public List<String> getAnadir() {
                pruebas.add(nombre);
            return pruebas;
    }
    public List<String> getProductosSeleccionable() {
        pruebas.removeAll(pruebas.stream()
                .map(c->c.compareTo(getNombre()))
                .collect(Collectors.toList()));
        return pruebas;
    }
    public boolean isVacia() {
        return pruebas.isEmpty();
    }
    public void delete (String nombre) {
        pruebas.removeIf(c->c.equals(nombre));
    }
    @Override
    public String toString() {
        return "Material{" + "codigo=" + codigo + ", nombre=" + nombre + ", resistencia=" + resistencia + '}';
    }
    
}